/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLParagraphElement_H__
#define __GdomHTMLParagraphElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLParagraphElement GdomHTMLParagraphElement;
typedef struct _GdomHTMLParagraphElementClass GdomHTMLParagraphElementClass;


#define GDOM_TYPE_HTML_PARAGRAPH_ELEMENT            (gdom_html_paragraph_element_get_type())
#define GDOM_HTML_PARAGRAPH_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_PARAGRAPH_ELEMENT, GdomHTMLParagraphElement))
#define GDOM_HTML_PARAGRAPH_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_PARAGRAPH_ELEMENT, GdomHTMLParagraphElement)Class)
#define GDOM_IS_HTML_PARAGRAPH_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_PARAGRAPH_ELEMENT))
#define GDOM_IS_HTML_PARAGRAPH_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_PARAGRAPH_ELEMENT))
#define GDOM_HTML_PARAGRAPH_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_PARAGRAPH_ELEMENT, GdomHTMLParagraphElementClass))

typedef struct _GdomHTMLParagraphElementPrivate GdomHTMLParagraphElementPrivate;

struct _GdomHTMLParagraphElement {
    GdomHTMLElement parent_instance;
    GdomHTMLParagraphElementPrivate *priv;
};

struct _GdomHTMLParagraphElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_paragraph_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLParagraphElement_H__ */
